import * as cdk from 'aws-cdk-lib';
import * as constructs from 'constructs';
/**
 * Schema for Module Fragment of type MAVI::Pipeline::Default::MODULE
 *
 * @schema CfnDefaultModuleProps
 */
export interface CfnDefaultModuleProps {
    /**
     * @schema CfnDefaultModuleProps#Parameters
     */
    readonly parameters?: CfnDefaultModulePropsParameters;
    /**
     * @schema CfnDefaultModuleProps#Resources
     */
    readonly resources?: CfnDefaultModulePropsResources;
}
/**
 * Converts an object of type 'CfnDefaultModuleProps' to JSON representation.
 */
export declare function toJson_CfnDefaultModuleProps(obj: CfnDefaultModuleProps | undefined): Record<string, any> | undefined;
/**
 * @schema CfnDefaultModulePropsParameters
 */
export interface CfnDefaultModulePropsParameters {
    /**
     * Bucket default en la region us-east-1 para mavi
     *
     * @schema CfnDefaultModulePropsParameters#BucketArtifactStore
     */
    readonly bucketArtifactStore?: CfnDefaultModulePropsParametersBucketArtifactStore;
    /**
     * Rol que permite tener un full clone de codecommit (para poder realizar release automatico)
     *
     * @schema CfnDefaultModulePropsParameters#RolePipelineFullClone
     */
    readonly rolePipelineFullClone?: CfnDefaultModulePropsParametersRolePipelineFullClone;
    /**
     * Rol que inbest nos creo para cloudFormation
     *
     * @schema CfnDefaultModulePropsParameters#RoleCloudFormationDefault
     */
    readonly roleCloudFormationDefault?: CfnDefaultModulePropsParametersRoleCloudFormationDefault;
    /**
     * Rol que detona el inicio del pipeline
     *
     * @schema CfnDefaultModulePropsParameters#RoleEventBridgeDefault
     */
    readonly roleEventBridgeDefault?: CfnDefaultModulePropsParametersRoleEventBridgeDefault;
    /**
     * Repositorio para el pipeline
     *
     * @schema CfnDefaultModulePropsParameters#RepositoryName
     */
    readonly repositoryName?: CfnDefaultModulePropsParametersRepositoryName;
    /**
     * Rama del repositorio
     *
     * @schema CfnDefaultModulePropsParameters#BranchName
     */
    readonly branchName?: CfnDefaultModulePropsParametersBranchName;
    /**
     * Nombre del build a usar
     *
     * @schema CfnDefaultModulePropsParameters#BuildProject
     */
    readonly buildProject?: CfnDefaultModulePropsParametersBuildProject;
    /**
     * Nombre del stack que se usara en cloudFormation
     *
     * @schema CfnDefaultModulePropsParameters#StackName
     */
    readonly stackName?: CfnDefaultModulePropsParametersStackName;
}
/**
 * Converts an object of type 'CfnDefaultModulePropsParameters' to JSON representation.
 */
export declare function toJson_CfnDefaultModulePropsParameters(obj: CfnDefaultModulePropsParameters | undefined): Record<string, any> | undefined;
/**
 * @schema CfnDefaultModulePropsResources
 */
export interface CfnDefaultModulePropsResources {
    /**
     * @schema CfnDefaultModulePropsResources#AwsPipeline
     */
    readonly awsPipeline?: CfnDefaultModulePropsResourcesAwsPipeline;
    /**
     * @schema CfnDefaultModulePropsResources#AwsEventRule
     */
    readonly awsEventRule?: CfnDefaultModulePropsResourcesAwsEventRule;
}
/**
 * Converts an object of type 'CfnDefaultModulePropsResources' to JSON representation.
 */
export declare function toJson_CfnDefaultModulePropsResources(obj: CfnDefaultModulePropsResources | undefined): Record<string, any> | undefined;
/**
 * Bucket default en la region us-east-1 para mavi
 *
 * @schema CfnDefaultModulePropsParametersBucketArtifactStore
 */
export interface CfnDefaultModulePropsParametersBucketArtifactStore {
    /**
     * @schema CfnDefaultModulePropsParametersBucketArtifactStore#Type
     */
    readonly type: string;
    /**
     * @schema CfnDefaultModulePropsParametersBucketArtifactStore#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnDefaultModulePropsParametersBucketArtifactStore' to JSON representation.
 */
export declare function toJson_CfnDefaultModulePropsParametersBucketArtifactStore(obj: CfnDefaultModulePropsParametersBucketArtifactStore | undefined): Record<string, any> | undefined;
/**
 * Rol que permite tener un full clone de codecommit (para poder realizar release automatico)
 *
 * @schema CfnDefaultModulePropsParametersRolePipelineFullClone
 */
export interface CfnDefaultModulePropsParametersRolePipelineFullClone {
    /**
     * @schema CfnDefaultModulePropsParametersRolePipelineFullClone#Type
     */
    readonly type: string;
    /**
     * @schema CfnDefaultModulePropsParametersRolePipelineFullClone#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnDefaultModulePropsParametersRolePipelineFullClone' to JSON representation.
 */
export declare function toJson_CfnDefaultModulePropsParametersRolePipelineFullClone(obj: CfnDefaultModulePropsParametersRolePipelineFullClone | undefined): Record<string, any> | undefined;
/**
 * Rol que inbest nos creo para cloudFormation
 *
 * @schema CfnDefaultModulePropsParametersRoleCloudFormationDefault
 */
export interface CfnDefaultModulePropsParametersRoleCloudFormationDefault {
    /**
     * @schema CfnDefaultModulePropsParametersRoleCloudFormationDefault#Type
     */
    readonly type: string;
    /**
     * @schema CfnDefaultModulePropsParametersRoleCloudFormationDefault#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnDefaultModulePropsParametersRoleCloudFormationDefault' to JSON representation.
 */
export declare function toJson_CfnDefaultModulePropsParametersRoleCloudFormationDefault(obj: CfnDefaultModulePropsParametersRoleCloudFormationDefault | undefined): Record<string, any> | undefined;
/**
 * Rol que detona el inicio del pipeline
 *
 * @schema CfnDefaultModulePropsParametersRoleEventBridgeDefault
 */
export interface CfnDefaultModulePropsParametersRoleEventBridgeDefault {
    /**
     * @schema CfnDefaultModulePropsParametersRoleEventBridgeDefault#Type
     */
    readonly type: string;
    /**
     * @schema CfnDefaultModulePropsParametersRoleEventBridgeDefault#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnDefaultModulePropsParametersRoleEventBridgeDefault' to JSON representation.
 */
export declare function toJson_CfnDefaultModulePropsParametersRoleEventBridgeDefault(obj: CfnDefaultModulePropsParametersRoleEventBridgeDefault | undefined): Record<string, any> | undefined;
/**
 * Repositorio para el pipeline
 *
 * @schema CfnDefaultModulePropsParametersRepositoryName
 */
export interface CfnDefaultModulePropsParametersRepositoryName {
    /**
     * @schema CfnDefaultModulePropsParametersRepositoryName#Type
     */
    readonly type: string;
    /**
     * @schema CfnDefaultModulePropsParametersRepositoryName#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnDefaultModulePropsParametersRepositoryName' to JSON representation.
 */
export declare function toJson_CfnDefaultModulePropsParametersRepositoryName(obj: CfnDefaultModulePropsParametersRepositoryName | undefined): Record<string, any> | undefined;
/**
 * Rama del repositorio
 *
 * @schema CfnDefaultModulePropsParametersBranchName
 */
export interface CfnDefaultModulePropsParametersBranchName {
    /**
     * @schema CfnDefaultModulePropsParametersBranchName#Type
     */
    readonly type: string;
    /**
     * @schema CfnDefaultModulePropsParametersBranchName#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnDefaultModulePropsParametersBranchName' to JSON representation.
 */
export declare function toJson_CfnDefaultModulePropsParametersBranchName(obj: CfnDefaultModulePropsParametersBranchName | undefined): Record<string, any> | undefined;
/**
 * Nombre del build a usar
 *
 * @schema CfnDefaultModulePropsParametersBuildProject
 */
export interface CfnDefaultModulePropsParametersBuildProject {
    /**
     * @schema CfnDefaultModulePropsParametersBuildProject#Type
     */
    readonly type: string;
    /**
     * @schema CfnDefaultModulePropsParametersBuildProject#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnDefaultModulePropsParametersBuildProject' to JSON representation.
 */
export declare function toJson_CfnDefaultModulePropsParametersBuildProject(obj: CfnDefaultModulePropsParametersBuildProject | undefined): Record<string, any> | undefined;
/**
 * Nombre del stack que se usara en cloudFormation
 *
 * @schema CfnDefaultModulePropsParametersStackName
 */
export interface CfnDefaultModulePropsParametersStackName {
    /**
     * @schema CfnDefaultModulePropsParametersStackName#Type
     */
    readonly type: string;
    /**
     * @schema CfnDefaultModulePropsParametersStackName#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnDefaultModulePropsParametersStackName' to JSON representation.
 */
export declare function toJson_CfnDefaultModulePropsParametersStackName(obj: CfnDefaultModulePropsParametersStackName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnDefaultModulePropsResourcesAwsPipeline
 */
export interface CfnDefaultModulePropsResourcesAwsPipeline {
    /**
     * @schema CfnDefaultModulePropsResourcesAwsPipeline#Type
     */
    readonly type?: string;
    /**
     * @schema CfnDefaultModulePropsResourcesAwsPipeline#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnDefaultModulePropsResourcesAwsPipeline' to JSON representation.
 */
export declare function toJson_CfnDefaultModulePropsResourcesAwsPipeline(obj: CfnDefaultModulePropsResourcesAwsPipeline | undefined): Record<string, any> | undefined;
/**
 * @schema CfnDefaultModulePropsResourcesAwsEventRule
 */
export interface CfnDefaultModulePropsResourcesAwsEventRule {
    /**
     * @schema CfnDefaultModulePropsResourcesAwsEventRule#Type
     */
    readonly type?: string;
    /**
     * @schema CfnDefaultModulePropsResourcesAwsEventRule#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnDefaultModulePropsResourcesAwsEventRule' to JSON representation.
 */
export declare function toJson_CfnDefaultModulePropsResourcesAwsEventRule(obj: CfnDefaultModulePropsResourcesAwsEventRule | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `MAVI::Pipeline::Default::MODULE`
 *
 * @cloudformationResource MAVI::Pipeline::Default::MODULE
 * @stability external
 * @link http://unknown-url
 */
export declare class CfnDefaultModule extends cdk.CfnResource {
    /**
    * The CloudFormation resource type name for this resource class.
    */
    static readonly CFN_RESOURCE_TYPE_NAME = "MAVI::Pipeline::Default::MODULE";
    /**
     * Resource props.
     */
    readonly props: CfnDefaultModuleProps;
    /**
     * Create a new `MAVI::Pipeline::Default::MODULE`.
     *
     * @param scope - scope in which this resource is defined
     * @param id    - scoped id of the resource
     * @param props - resource properties
     */
    constructor(scope: constructs.Construct, id: string, props: CfnDefaultModuleProps);
}
